-- 目录表增加加载顺序字段
alter table BIANMU.B_DIRECTORY add SORT integer;
comment on column BIANMU.B_DIRECTORY.SORT is '加载顺序';
-- 置标标签表增加加载顺序字段
alter table BIANMU.B_DATA_LABELS add SORT integer;
comment on column BIANMU.B_DATA_LABELS.SORT is '加载顺序';
-- 更新菜单数据
UPDATE BIANMU.SYS_MENU t
SET t.IS_DELETE = '0',
    t.MENU_NAME = '表单配置',
    t.MENU_PATH = '/sys/form/config/page/index'
WHERE t.MENU_ID = '1525058137475338242';

CREATE TABLE "BIANMU"."SYS_FORM_CONFIG"
(
"ID" INTEGER IDENTITY(1000, 1) NOT NULL,
"FORM_TYPE" INTEGER,
"FIELD_NAME" VARCHAR2(50),
"FIELD_TYPE" VARCHAR2(50),
"SHOW_TITLE" VARCHAR2(50),
"IS_SHOW" BIT DEFAULT 1,
"DICT_TYPE" VARCHAR2(50) DEFAULT '',
"DEFAULT_VALUE" VARCHAR2(50) DEFAULT '',
"IS_REQUIRED" BIT DEFAULT 0,
"IS_DISABLED" BIT DEFAULT 0,
"SORT" INTEGER,
"CREATE_USER" VARCHAR2(50),
"CREATE_TIME" TIMESTAMP(6),
"MODIFY_USER" VARCHAR2(50),
"MODIFY_TIME" TIMESTAMP(6),
CLUSTER PRIMARY KEY("ID")) STORAGE(ON "MAIN", CLUSTERBTR) ;

COMMENT ON TABLE "BIANMU"."SYS_FORM_CONFIG" IS '系统表单配置表';
COMMENT ON COLUMN "BIANMU"."SYS_FORM_CONFIG"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "BIANMU"."SYS_FORM_CONFIG"."CREATE_USER" IS '创建人';
COMMENT ON COLUMN "BIANMU"."SYS_FORM_CONFIG"."DEFAULT_VALUE" IS '默认值';
COMMENT ON COLUMN "BIANMU"."SYS_FORM_CONFIG"."DICT_TYPE" IS '数据字典类型，只有FIELD_TYPE为''dict''时有效';
COMMENT ON COLUMN "BIANMU"."SYS_FORM_CONFIG"."FIELD_NAME" IS '字段标题';
COMMENT ON COLUMN "BIANMU"."SYS_FORM_CONFIG"."FIELD_TYPE" IS '字段类型';
COMMENT ON COLUMN "BIANMU"."SYS_FORM_CONFIG"."FORM_TYPE" IS '表单类型：1-资源注册表单，2-文件上传表单';
COMMENT ON COLUMN "BIANMU"."SYS_FORM_CONFIG"."ID" IS '主键';
COMMENT ON COLUMN "BIANMU"."SYS_FORM_CONFIG"."IS_DISABLED" IS '是否必填：0-非必填，1-必填';
COMMENT ON COLUMN "BIANMU"."SYS_FORM_CONFIG"."IS_REQUIRED" IS '是否禁用：0-不禁用，1-禁用';
COMMENT ON COLUMN "BIANMU"."SYS_FORM_CONFIG"."IS_SHOW" IS '是否显示';
COMMENT ON COLUMN "BIANMU"."SYS_FORM_CONFIG"."MODIFY_TIME" IS '修改时间';
COMMENT ON COLUMN "BIANMU"."SYS_FORM_CONFIG"."MODIFY_USER" IS '修改人';
COMMENT ON COLUMN "BIANMU"."SYS_FORM_CONFIG"."SHOW_TITLE" IS '显示标题';
COMMENT ON COLUMN "BIANMU"."SYS_FORM_CONFIG"."SORT" IS '显示顺序';

INSERT INTO BIANMU.SYS_FORM_CONFIG (FORM_TYPE, FIELD_NAME, FIELD_TYPE, DEFAULT_VALUE, IS_REQUIRED, IS_DISABLED, SORT, CREATE_USER, CREATE_TIME, MODIFY_USER, MODIFY_TIME, SHOW_TITLE, IS_SHOW, DICT_TYPE) VALUES (1, 'metadataName', 'input', '', 1, 0, 1, 'admin', '2023-08-23 14:55:58.000000', 'admin', '2023-08-23 14:55:58.000000', '数据表名称', 1, '');
INSERT INTO BIANMU.SYS_FORM_CONFIG (FORM_TYPE, FIELD_NAME, FIELD_TYPE, DEFAULT_VALUE, IS_REQUIRED, IS_DISABLED, SORT, CREATE_USER, CREATE_TIME, MODIFY_USER, MODIFY_TIME, SHOW_TITLE, IS_SHOW, DICT_TYPE) VALUES (1, 'collectionTime', 'date', '', 1, 0, 2, 'admin', '2023-08-23 14:55:58.000000', 'admin', '2023-08-23 14:55:58.000000', '任务时间', 1, '');
INSERT INTO BIANMU.SYS_FORM_CONFIG (FORM_TYPE, FIELD_NAME, FIELD_TYPE, DEFAULT_VALUE, IS_REQUIRED, IS_DISABLED, SORT, CREATE_USER, CREATE_TIME, MODIFY_USER, MODIFY_TIME, SHOW_TITLE, IS_SHOW, DICT_TYPE) VALUES (1, 'dataFrom', 'dict', '', 1, 0, 3, 'admin', '2023-08-23 14:55:58.000000', 'admin', '2023-08-23 14:55:58.000000', '数据来源', 1, 'data_source');
INSERT INTO BIANMU.SYS_FORM_CONFIG (FORM_TYPE, FIELD_NAME, FIELD_TYPE, DEFAULT_VALUE, IS_REQUIRED, IS_DISABLED, SORT, CREATE_USER, CREATE_TIME, MODIFY_USER, MODIFY_TIME, SHOW_TITLE, IS_SHOW, DICT_TYPE) VALUES (1, 'dataType', 'dict', '', 1, 0, 4, 'admin', '2023-08-23 14:55:58.000000', 'admin', '2023-08-23 14:55:58.000000', '数据类型', 1, 'data_type');
INSERT INTO BIANMU.SYS_FORM_CONFIG (FORM_TYPE, FIELD_NAME, FIELD_TYPE, DEFAULT_VALUE, IS_REQUIRED, IS_DISABLED, SORT, CREATE_USER, CREATE_TIME, MODIFY_USER, MODIFY_TIME, SHOW_TITLE, IS_SHOW, DICT_TYPE) VALUES (1, 'secretLevel', 'dict', '', 1, 0, 5, 'admin', '2023-08-23 14:55:58.000000', 'admin', '2023-08-23 14:55:58.000000', '数据密级', 1, 'secret_level');
INSERT INTO BIANMU.SYS_FORM_CONFIG (FORM_TYPE, FIELD_NAME, FIELD_TYPE, DEFAULT_VALUE, IS_REQUIRED, IS_DISABLED, SORT, CREATE_USER, CREATE_TIME, MODIFY_USER, MODIFY_TIME, SHOW_TITLE, IS_SHOW, DICT_TYPE) VALUES (1, 'themeTask', 'input', '', 0, 0, 6, 'admin', '2023-08-23 14:55:58.000000', 'admin', '2023-08-23 14:55:58.000000', '主题任务', 1, '');
INSERT INTO BIANMU.SYS_FORM_CONFIG (FORM_TYPE, FIELD_NAME, FIELD_TYPE, DEFAULT_VALUE, IS_REQUIRED, IS_DISABLED, SORT, CREATE_USER, CREATE_TIME, MODIFY_USER, MODIFY_TIME, SHOW_TITLE, IS_SHOW, DICT_TYPE) VALUES (2, 'secretLevel', 'dict', '', 1, 0, 3, 'admin', '2023-08-23 14:55:58.000000', 'admin', '2023-08-23 14:55:58.000000', '文件密级', 1, 'secret_level');
INSERT INTO BIANMU.SYS_FORM_CONFIG (FORM_TYPE, FIELD_NAME, FIELD_TYPE, DEFAULT_VALUE, IS_REQUIRED, IS_DISABLED, SORT, CREATE_USER, CREATE_TIME, MODIFY_USER, MODIFY_TIME, SHOW_TITLE, IS_SHOW, DICT_TYPE) VALUES (2, 'exerciseData', 'radio', '', 1, 0, 4, 'admin', '2023-08-23 14:55:58.000000', 'admin', '2023-08-23 14:55:58.000000', '是否演训数据', 1, '0-否-;1-是-');
INSERT INTO BIANMU.SYS_FORM_CONFIG (FORM_TYPE, FIELD_NAME, FIELD_TYPE, DEFAULT_VALUE, IS_REQUIRED, IS_DISABLED, SORT, CREATE_USER, CREATE_TIME, MODIFY_USER, MODIFY_TIME, SHOW_TITLE, IS_SHOW, DICT_TYPE) VALUES (2, 'inputDate', 'date', '', 1, 0, 1, 'admin', '2023-08-23 14:55:58.000000', 'admin', '2023-08-23 14:55:58.000000', '任务时间', 1, '');
INSERT INTO BIANMU.SYS_FORM_CONFIG (FORM_TYPE, FIELD_NAME, FIELD_TYPE, DEFAULT_VALUE, IS_REQUIRED, IS_DISABLED, SORT, CREATE_USER, CREATE_TIME, MODIFY_USER, MODIFY_TIME, SHOW_TITLE, IS_SHOW, DICT_TYPE) VALUES (2, 'entryStaff', 'input', '', 1, 0, 2, 'admin', '2023-08-23 14:55:58.000000', 'admin', '2023-08-23 14:55:58.000000', '录入人员', 1, '');
INSERT INTO BIANMU.SYS_FORM_CONFIG (FORM_TYPE, FIELD_NAME, FIELD_TYPE, DEFAULT_VALUE, IS_REQUIRED, IS_DISABLED, SORT, CREATE_USER, CREATE_TIME, MODIFY_USER, MODIFY_TIME, SHOW_TITLE, IS_SHOW, DICT_TYPE) VALUES (2, 'source', 'dict', '', 0, 0, 5, 'admin', '2023-08-23 14:55:58.000000', 'admin', '2023-08-23 14:55:58.000000', '文件来源', 1, 'data_source');
INSERT INTO BIANMU.SYS_FORM_CONFIG (FORM_TYPE, FIELD_NAME, FIELD_TYPE, DEFAULT_VALUE, IS_REQUIRED, IS_DISABLED, SORT, CREATE_USER, CREATE_TIME, MODIFY_USER, MODIFY_TIME, SHOW_TITLE, IS_SHOW, DICT_TYPE) VALUES (2, 'targetNumber', 'dict', '', 0, 0, 6, 'admin', '2023-08-23 14:55:58.000000', 'admin', '2023-08-23 14:55:58.000000', '目标/靶标类型', 1, 'target_type');
INSERT INTO BIANMU.SYS_FORM_CONFIG (FORM_TYPE, FIELD_NAME, FIELD_TYPE, DEFAULT_VALUE, IS_REQUIRED, IS_DISABLED, SORT, CREATE_USER, CREATE_TIME, MODIFY_USER, MODIFY_TIME, SHOW_TITLE, IS_SHOW, DICT_TYPE) VALUES (2, 'taskCode', 'dict', '', 0, 0, 7, 'admin', '2023-08-23 14:55:58.000000', 'admin', '2023-08-23 14:55:58.000000', '任务代号', 1, 'task_code');
INSERT INTO BIANMU.SYS_FORM_CONFIG (FORM_TYPE, FIELD_NAME, FIELD_TYPE, DEFAULT_VALUE, IS_REQUIRED, IS_DISABLED, SORT, CREATE_USER, CREATE_TIME, MODIFY_USER, MODIFY_TIME, SHOW_TITLE, IS_SHOW, DICT_TYPE) VALUES (2, 'taskNature', 'dict', '', 0, 0, 8, 'admin', '2023-08-23 14:55:58.000000', 'admin', '2023-08-23 14:55:58.000000', '任务性质', 1, 'task_nature');
INSERT INTO BIANMU.SYS_FORM_CONFIG (FORM_TYPE, FIELD_NAME, FIELD_TYPE, DEFAULT_VALUE, IS_REQUIRED, IS_DISABLED, SORT, CREATE_USER, CREATE_TIME, MODIFY_USER, MODIFY_TIME, SHOW_TITLE, IS_SHOW, DICT_TYPE) VALUES (2, 'troopCode', 'dict', '', 0, 0, 9, 'admin', '2023-08-23 14:55:58.000000', 'admin', '2023-08-23 14:55:58.000000', '部队代号', 1, 'troop_code');
INSERT INTO BIANMU.SYS_FORM_CONFIG (FORM_TYPE, FIELD_NAME, FIELD_TYPE, DEFAULT_VALUE, IS_REQUIRED, IS_DISABLED, SORT, CREATE_USER, CREATE_TIME, MODIFY_USER, MODIFY_TIME, SHOW_TITLE, IS_SHOW, DICT_TYPE) VALUES (2, 'equipmentModel', 'dict', '', 0, 0, 10, 'admin', '2023-08-23 14:55:58.000000', 'admin', '2023-08-23 14:55:58.000000', '装备型号', 1, 'equipment_model');
INSERT INTO BIANMU.SYS_FORM_CONFIG (FORM_TYPE, FIELD_NAME, FIELD_TYPE, DEFAULT_VALUE, IS_REQUIRED, IS_DISABLED, SORT, CREATE_USER, CREATE_TIME, MODIFY_USER, MODIFY_TIME, SHOW_TITLE, IS_SHOW, DICT_TYPE) VALUES (2, 'missileNumber', 'dict', '', 0, 0, 11, 'admin', '2023-08-23 14:55:58.000000', 'admin', '2023-08-23 14:55:58.000000', '导弹编号', 1, 'missile_number');
INSERT INTO BIANMU.SYS_FORM_CONFIG (FORM_TYPE, FIELD_NAME, FIELD_TYPE, DEFAULT_VALUE, IS_REQUIRED, IS_DISABLED, SORT, CREATE_USER, CREATE_TIME, MODIFY_USER, MODIFY_TIME, SHOW_TITLE, IS_SHOW, DICT_TYPE) VALUES (2, 'themeTask', 'input', '', 0, 0, 12, 'admin', '2023-08-23 14:55:58.000000', 'admin', '2023-08-23 14:55:58.000000', '主题任务', 1, '');
INSERT INTO BIANMU.SYS_FORM_CONFIG (FORM_TYPE, FIELD_NAME, FIELD_TYPE, DEFAULT_VALUE, IS_REQUIRED, IS_DISABLED, SORT, CREATE_USER, CREATE_TIME, MODIFY_USER, MODIFY_TIME, SHOW_TITLE, IS_SHOW, DICT_TYPE) VALUES (2, 'remark', 'textarea', '', 0, 0, 13, 'admin', '2023-08-23 14:55:58.000000', 'admin', '2023-08-23 14:55:58.000000', '文件描述', 1, '');


CREATE TABLE "BIANMU"."SYS_THEAD_CONFIG"
(
"ID" VARCHAR2(50) NOT NULL,
"TABLE_ID" VARCHAR2(50),
"COL_NAME" VARCHAR2(50),
"COL_TITLE" VARCHAR2(50),
"COL_SORT" INTEGER DEFAULT 999,
"COL_WIDTH" VARCHAR2(50) DEFAULT '',
"IS_SHOW" BIT DEFAULT 1,
"IS_SORT" BIT DEFAULT 0,
"CREATE_USER" VARCHAR2(50),
"CREATE_TIME" TIMESTAMP(6),
"MODIFY_USER" VARCHAR2(50),
"MODIFY_TIME" TIMESTAMP(6),
CLUSTER PRIMARY KEY("ID")) STORAGE(ON "MAIN", CLUSTERBTR) ;

COMMENT ON TABLE "BIANMU"."SYS_THEAD_CONFIG" IS '前端数据表头配置表';
COMMENT ON COLUMN "BIANMU"."SYS_THEAD_CONFIG"."COL_NAME" IS '列名';
COMMENT ON COLUMN "BIANMU"."SYS_THEAD_CONFIG"."COL_SORT" IS '列顺序';
COMMENT ON COLUMN "BIANMU"."SYS_THEAD_CONFIG"."COL_TITLE" IS '列标题';
COMMENT ON COLUMN "BIANMU"."SYS_THEAD_CONFIG"."COL_WIDTH" IS '列宽，数值类型或者百分比字符串';
COMMENT ON COLUMN "BIANMU"."SYS_THEAD_CONFIG"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "BIANMU"."SYS_THEAD_CONFIG"."CREATE_USER" IS '创建人';
COMMENT ON COLUMN "BIANMU"."SYS_THEAD_CONFIG"."IS_SHOW" IS '是否显示';
COMMENT ON COLUMN "BIANMU"."SYS_THEAD_CONFIG"."IS_SORT" IS '是否允许排序';
COMMENT ON COLUMN "BIANMU"."SYS_THEAD_CONFIG"."MODIFY_TIME" IS '修改时间';
COMMENT ON COLUMN "BIANMU"."SYS_THEAD_CONFIG"."MODIFY_USER" IS '修改人';
COMMENT ON COLUMN "BIANMU"."SYS_THEAD_CONFIG"."TABLE_ID" IS '数据表ID，对应前端页面上的layui中table组件的id';